Pytanie:
Raspberry Pi wifi wlan0
Loko
2013-11-04 00:36:38 UTC
view on stackexchange narkive permalink

Więc mam 2 maliny i obie mają raspbian. Więc mój adapter wifi to TP-LINK WN725N.

Skonfigurowałem moje wifi w ten sposób:

  auto loiface lo inet loopbackiface eth0 inet dhcpallow-hotplug wlan0iface wlan0 inet dhcp wpa-ssid "mynetworkid" wpa-psk "mynetworkpassword" 

Z tych postów: Jak skonfigurować Wi-Fi z Raspbian „wheezy”

http: //learn.adafruit. com / adafruits-raspberry-pi-lesson-3-network-setup / setting-up-wifi-with-occidentalis

Teraz mój problem polega na tym, że moje Wi-Fi na moim pierwszym Raspberry Pi działa, ale na moim drugim malinowym pi nie działa. Zauważyłem, że po uruchomieniu mojej drugiej maliny pi pojawia się komunikat: „nie udało się uruchomić wlan0” i „wlan0: nie ma takiego urządzenia”

lsusb:

  Device002: Standard Microsystem Urządzenie001: koncentrator główny Linux Foundation 2.0 Urządzenie003: Standard Microsystem Corp. Device004: HUB portu USB Urządzenie005: Realtek Semiconductor Corp. Device006: sterownik SiGma Micro HID Urządzenie007: Elan Microelectronics Corp.  

ifconfig - a:

Nie zapewnia połączenia, którego chcę.

Co robię źle i jak to naprawić?

Jakie są wyniki tych poleceń w drugim Pi? - ifconfig -a / lsusb / usb-devices / lsmod
@Lawrence Zobacz moje zmiany
http://raspberrypi.stackexchange.com/a/9750/894 - ostatnio używam wicd-curses. Wcześniej konfigurowanie Wi-Fi było piekło - teraz jest naprawdę łatwe w użyciu i ma opcje ponownego połączenia i wiele innych fajnych rzeczy. Instaluje Pythona i kilka innych rzeczy, ale wolę mieć wszystko uruchomione, niż wyciągać włosy, próbując połączyć się z Wi-Fi.
@ppumkin Teraz mogę to zrobić całkiem łatwo. Używam też innego adaptera wifi. Nie polecałbym tego adaptera wifi.
Pięć odpowiedzi:
#1
+8
Loko
2013-11-04 19:59:56 UTC
view on stackexchange narkive permalink

Otrzymałem odpowiedź z oficjalnego forum raspberry pi. Podziękowania dla MrEngman

Istnieją dwie wersje tego adaptera Wi-Fi. V1 ma sterownik dołączony do większości obrazów, V2 wymaga pobrania i zainstalowania sterownika, ponieważ nie ma go w obrazach Linuksa.

Wygląda na to, że prawdopodobnie masz V2 i musisz pobrać i zainstalować sterownik. Możesz określić posiadaną wersję Wi-Fi, używając polecenia lsusb. Spowoduje to wyświetlenie WN725N V2 jako

  Bus 001 Device 004: ID 0bda: 8179 Realtek Semiconductor Corp.  

Ważną informacją jest ID 0bda: 8179 .

Jeśli to pokazuje, musisz pobrać sterownik. Jeśli używasz najnowszej wersji Raspbian, dostępne są wersje prekompilowane.

Prekompilowane wersje sterownika są dostępne dla Raspbian w następujący sposób

dla 3.6.11+ # 538, # 541, # 545, # 551 i # 557 używają 8188eu-20130830.tar.gz

dla 3.6.11+ # 524, # 528 lub # 532 użyj 8188eu-20130815.tar.gz

dla 3.6.11+ # 371 do # 520 użyj 8188eu-20130209.tar.gz

Użyj polecenia uname -a do określenia posiadanej wersji np.

  pi @raspberrypi ~ $ uname -aLinux raspberrypi 3.6.11+ # 551 PREEMPT Mon Sep 30 14:42:10 BST 2013 armv6l GNU / Linuxpi @ raspberrypi ~ $  

Pobierz i zainstaluj sterownik używając polecenia

  wget https://dl.dropboxusercontent.com/u/80256631/8188eu-2013xxyy.tar.gz < - ustaw kod danych dla wersji sterownika abovetar -zxvf 8188eu-2013xxyy. tar.gz < - ustaw kod danych dla wersji sterownika abovesudo install -p -m 644 8188eu.ko /lib/modules/3.6.11+/kernel/drivers/net/wirelesssudo insmod / lib /modules/3.6.11+/kernel/drivers/net/wireless/8188eu.kosudo depmod -a  

Możesz sprawdzić, czy sterownik jest poprawnie załadowany poleceniem ifconfig Powinien pokazać coś wlan0 jak

  wlan0 Link encap: Ethernet HWaddr a0: f3: c1: 25: 7d: 28 inet addr: 192.168.16.15 Bcast: 192.168.16.255 Mask: 255.255.255.0
UP BROADCAST RUNNING MULTICAST MTU: 1500 Metryczne: 1 pakiety RX: 125431 błędy: 0 porzucone: 305 przepełnień: 0 ramek: 0 pakietów TX: 5821 błędów: 0 porzuconych: 0 przepełnień: 0 nośnych: 0 kolizji: 0 txqueuelen: 1000 RX bajtów : 21001551 (20,0 MiB) bajtów TX: 762826 (744,9 KiB)  

Ponownie dziękuję: MrEngman na oryginalnym forum raspberry pi

Miałem też numer 474, który wymaga: 8188eu-20130209.tar.gz

#2
+3
Artis
2013-11-06 14:24:20 UTC
view on stackexchange narkive permalink

Napotkałem ten sam problem kilka dni temu.

Krótka odpowiedź: potrzebujesz sterownika jądra 8188eu, aby interfejs bezprzewodowy działał.

Nieco dłuższa odpowiedź oparta na osobistych doświadczenie: zaznacz pole dołączone do produktu. Powinien zawierać listę V2 lub V3 gdzieś na lub w pobliżu naklejki z kodem kreskowym. To jest numer wersji. Dowiedziałem się, że gotowe sterowniki opublikowane na oficjalnych forach rPi lub w tym repozytorium zwykle działają bardzo dobrze z V2, ale miałem problemy z V3. Po zbudowaniu sterownika jądra ze źródła (instrukcje i źródło można znaleźć na github) mój adapter V3 zaczął działać bez zarzutu.

Znalazłem również ten blog, który zawiera plik do pobrania dla 8188eu sterownik jądra rzekomo zbudowany dla V3, ale sam go nie testowałem

Tak, sam wysłałem odpowiedź. Które znalazłem z forum raspberry Pi. Potrzebowałem kierowcy.
#3
+1
eeeeef
2013-11-04 01:49:04 UTC
view on stackexchange narkive permalink

To moja konfiguracja, działa dobrze. Ale mam statyczny adres IP i nie używam kryptowalut na wifi.

  auto lo iface lo inet loopbackallow-hotplug eth0 iface eth0 inet dhcpallow-hotplug wlan0 iface wlan0 inet adres statyczny 192.168.1.200 netmask 255.255 .255.0 brama 192.168.1.100 wireless-essid SSID iface default inet dhcp  
#4
+1
Marian Paździoch
2013-11-08 21:57:17 UTC
view on stackexchange narkive permalink

Sprawdź, jaką masz wersję systemu, jeśli 3.10.18+, a następnie sprawdź to.

#5
  0
HolgerG
2013-11-04 19:44:18 UTC
view on stackexchange narkive permalink

Najpierw sprawdź, czy Twoja karta Wi-Fi jest rozpoznawana i skonfigurowana za pomocą iwconfig. Jedną z możliwości jest to, że twój adapter nie nosi nazwy wlan0, ale wlan1 lub coś takiego.



To pytanie i odpowiedź zostało automatycznie przetłumaczone z języka angielskiego.Oryginalna treść jest dostępna na stackexchange, za co dziękujemy za licencję cc by-sa 3.0, w ramach której jest rozpowszechniana.
Loading...